package com.lightinit.hsdataportal.service;

import com.lightinit.hsdataportal.entity.Securekey;

import java.util.List;

/**
 * Created by Lantinit on 2018/1/31.
 */
public interface ISecureKeyService
{
    long QueryCount(String keyword);
    List<Securekey> QueryList(String keyword, int page, int rows);
    boolean Update(Securekey record);
    boolean Delete(long id);
    boolean Insert(Securekey record);
    Securekey QueryOne(long id);
    Securekey QueryOne(String username);
}
